/* eslint jsx-a11y/anchor-is-valid: 0, react/no-multi-comp: 0, react/prop-types: 0 */
import React from 'react';
import { Tooltip } from '../../index';

export default class Example extends React.Component {
  constructor(props) {
    super(props);

    this.toggle = this.toggle.bind(this);
    this.state = {
      tooltipOpen: false,
    };
  }

  toggle = () => {
    const { tooltipOpen } = this.state;
    this.setState({
      tooltipOpen: !tooltipOpen,
    });
  };

  render() {
    return (
      <div>
        <p>
          Sometimes you need to allow users to select text within a
          {' '}
          <a href="#" id="DisabledAutoHideExample">
            tooltip
          </a>
          .
        </p>
        <Tooltip
          placement="top"
          isOpen={this.state.tooltipOpen}
          autohide={false}
          target="DisabledAutoHideExample"
          toggle={this.toggle}
        >
          Try to select this text!
        </Tooltip>
      </div>
    );
  }
}
